
Redmine - Defect #15485

HTML 5 validation multiple ids

2013-11-22 16:33 - Ksenia Altbregen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed Affected version:  

Description

Related to #15191, r12236.

Everywhere I've found multiple check_box_tag calls, I've put :id => nil.

Associated revisions

Revision 12653 - 2014-01-11 13:42 - Jean-Philippe Lang

Removes duplicate ids (#15485).

Revision 12654 - 2014-01-11 13:45 - Jean-Philippe Lang

Removes duplicate ids (#15485).

Revision 12655 - 2014-01-11 13:45 - Jean-Philippe Lang

Removes duplicate ids (#15485).

Revision 12656 - 2014-01-11 13:47 - Jean-Philippe Lang

Removes duplicate ids (#15485).

Revision 12657 - 2014-01-11 13:55 - Jean-Philippe Lang

Removes duplicate ids (#15485).

History

#1 - 2013-11-23 09:33 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Most of the patch is OK but this patch also removes non-duplicate ids like in app/views/projects/_form.html.erb. It shouldn't.

#2 - 2014-01-11 14:24 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Status changed from Needs feedback to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

- Resolution set to Fixed

Actually, the patch contains lots of syntax errors. Now fixed.

Files

multiple_ids_vanilla.diff 13.7 KB 2013-11-22 Ksenia Altbregen
